package com.zhaohaoting.framework.mvchelper.okhttp.exception;

/**
 * Created by ZHT on 2017/11/16.
 */
public class RequestException extends Exception {

    private int code;

    public RequestException() {
    }

    public RequestException(String message) {
        super(message);
    }

    public RequestException(int code, String message) {
        super(message);
        this.code = code;
    }

    public int getCode() {
        return code;
    }

    public RequestException setCode(int code) {
        this.code = code;
        return this;
    }
}
